## NMVpnConnection NMVpnConnection |

## Synopsis

    #define             NM_VPN_CONNECTION_VPN_STATE
    #define             NM_VPN_CONNECTION_BANNER
    struct              NMVpnConnection;
                        NMVpnConnectionClass;
    NMVpnConnectionState nm_vpn_connection_get_vpn_state    (NMVpnConnection *vpn);
    const char *        nm_vpn_connection_get_banner        (NMVpnConnection *vpn);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMActiveConnection
                   +----NMVpnConnection

## Implemented Interfaces

NMVpnConnection implements GInitable and GAsyncInitable.

## Properties

      "banner"                   gchar*                : Read
      "vpn-state"                NMVpnConnectionState  : Read

## Signals

      "vpn-state-changed"                              : Run First

## Description

## Details

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER "banner"

### struct NMVpnConnection

    struct NMVpnConnection;

### NMVpnConnectionClass

    typedef struct {
    	NMActiveConnectionClass parent;

    	/* Signals */
    	void (*vpn_state_changed) (NMVpnConnection *connection,
    	                           NMVpnConnectionState state,
    	                           NMVpnConnectionStateReason reason);
    } NMVpnConnectionClass;

### nm_vpn_connection_get_vpn_state ()

    NMVpnConnectionState nm_vpn_connection_get_vpn_state    (NMVpnConnection *vpn);

Gets the current NMVpnConnection state.

`vpn` : | a NMVpnConnection
Returns : | the VPN state of the active VPN connection.

### nm_vpn_connection_get_banner ()

    const char *        nm_vpn_connection_get_banner        (NMVpnConnection *vpn);

Gets the VPN login banner of the active NMVpnConnection.

`vpn` : | a NMVpnConnection
Returns : | the VPN login banner of the VPN connection. This is the internal string used by the connection, and must not be modified.

## Property Details

### The `"banner"` property

      "banner"                   gchar*                : Read

The VPN login banner of the active VPN connection.

Default value: NULL

### The `"vpn-state"` property

      "vpn-state"                NMVpnConnectionState  : Read

The VPN state of the active VPN connection.

Default value: NM_VPN_CONNECTION_STATE_UNKNOWN

## Signal Details

### The `"vpn-state-changed"` signal

    void                user_function                      (NMVpnConnection *nmvpnconnection,
                                                            guint            arg1,
                                                            guint            arg2,
                                                            gpointer         user_data)            : Run First

`nmvpnconnection` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.